> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.javascript.clientevent.md).

# JavaScript.ClientEvent

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represent a JavaScript event and the corresponding code to execute on the client when the event is fired.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ClientEvent
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ClientEvent
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ClientEvent()

Initializes a new instance of [ClientEvent](/api/wisej.web/extenders/javascript.md#clientevent).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Event

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the name of the event. Not all events are available to all controls, which events are fired depends on the widget that corresponds to the control. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) JavaScript

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the JavaScript handler for the event. (Default: `""`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.javascript.clientevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
